aboutsummaryrefslogtreecommitdiffstats
path: root/deploy
diff options
context:
space:
mode:
authorQiLiang <liangqi1@huawei.com>2016-08-04 18:06:50 +0800
committerQiLiang <liangqi1@huawei.com>2016-08-04 18:24:26 +0800
commita461fcec7ac572e5207fdcb3e0477408c6bc45c8 (patch)
treeccd666cece5b4fbfeff9271c4c388b5d4f46cdeb /deploy
parent0d57b886e0db03377d9ae60af0372310b835b749 (diff)
avoid needless package reinstall
If you do not run deploy.sh for the first time, then export below env before run deploy.sh can avoid needless package reinstall. export DEPLOY_FIRST_TIME="false" JIRA: COMPASS-449 Change-Id: Ia3b51bd02f4a131d57bf5793900faad9e1acb09e Signed-off-by: QiLiang <liangqi1@huawei.com>
Diffstat (limited to 'deploy')
-rwxr-xr-xdeploy/launch.sh2
-rwxr-xr-xdeploy/prepare.sh29
2 files changed, 25 insertions, 6 deletions
diff --git a/deploy/launch.sh b/deploy/launch.sh
index 9947bd8d..488e0fd7 100755
--- a/deploy/launch.sh
+++ b/deploy/launch.sh
@@ -12,6 +12,8 @@ WORK_DIR=$COMPASS_DIR/work/deploy
mkdir -p $WORK_DIR/script
+export DEPLOY_FIRST_TIME=${DEPLOY_FIRST_TIME-"true"}
+
source ${COMPASS_DIR}/deploy/prepare.sh
prepare_python_env
source ${COMPASS_DIR}/util/log.sh
diff --git a/deploy/prepare.sh b/deploy/prepare.sh
index e7d84441..a4f606af 100755
--- a/deploy/prepare.sh
+++ b/deploy/prepare.sh
@@ -36,11 +36,14 @@ function download_iso()
}
function prepare_env() {
- sudo apt-get update -y
- sudo apt-get install -y --force-yes mkisofs bc curl ipmitool openvswitch-switch
- sudo apt-get install -y --force-yes git python-dev
- sudo apt-get install -y --force-yes libxslt-dev libxml2-dev libvirt-dev build-essential qemu-utils qemu-kvm libvirt-bin virtinst libmysqld-dev
- sudo apt-get install -y --force-yes libffi-dev libssl-dev
+ if [[ "$DEPLOY_FIRST_TIME" == "true" ]]; then
+ sudo apt-get update -y
+ sudo apt-get install -y --force-yes mkisofs bc curl ipmitool openvswitch-switch
+ sudo apt-get install -y --force-yes git python-dev
+ sudo apt-get install -y --force-yes libxslt-dev libxml2-dev libvirt-dev build-essential qemu-utils qemu-kvm libvirt-bin virtinst libmysqld-dev
+ sudo apt-get install -y --force-yes libffi-dev libssl-dev
+ fi
+
sudo service libvirt-bin restart
if sudo service openvswitch-switch status|grep stop; then
sudo service openvswitch-switch start
@@ -71,7 +74,7 @@ function prepare_env() {
sudo cp ${COMPASS_DIR}/deploy/qemu_hook.sh /etc/libvirt/hooks/qemu
}
-function prepare_python_env() {
+function _prepare_python_env() {
rm -rf $WORK_DIR/venv
mkdir -p $WORK_DIR/venv
@@ -88,3 +91,17 @@ function prepare_python_env() {
pip install --upgrade oslo.config
pip install --upgrade ansible
}
+
+function prepare_python_env()
+{
+ if [[ "$DEPLOY_FIRST_TIME" == "true" ]]; then
+ _prepare_python_env
+ else
+ source $WORK_DIR/venv/bin/activate
+ if [[ $? -ne 0 ]]; then
+ _prepare_python_env
+ fi
+ fi
+ which python
+}
+